# macro

Procedimento Scilab e objeto Scilab

## Descrição

Macros são procedimentos Scilab ("macro", "função" e "procedimento" possuem o mesmo significado). Geralmente, eles são definidos em arquivos com um editor e carregados no Scilab com `exec` ou através de uma biblioteca.

Também podem ser definidos on-line (ver `deff`). Um arquivo que contém uma macro deve começar como segue:

    function [y1,...,yn]=foo(x1,...,xm)

Os `yi` são variáveis de saída calculadas como funções de variáveis de entrada e variáveis existentes no Scilab quando o macro é executado. Um macro pode ser compilado para uma execução mais rápida. Coleções de macros podem ser armazenadas em bibliotecas. Macros que começam pelo símbolo `%` (ex.: `%foo`) e cujos argumentos são listas são usadas para executar operações específicas: por exemplo, `z=%rmr(x,y)` é equivalente a `z=x*y` quando `x` e `z` são racionais (i.e. `x=list('r',n,d,[])` com `n` e `d` polinômios).

## Ver Também

- deff
- comp
- lib